about summary refs log tree commit diff stats
diff options
context:
space:
mode:
authorThomas E. Dickey <dickey@invisible-island.net>2010-06-21 10:50:46 -0400
committerThomas E. Dickey <dickey@invisible-island.net>2010-06-21 10:50:46 -0400
commitc9bdba611e96b13357f06443549a8c85488f0363 (patch)
tree7bb7894be5c4c816882082d752e8d8fe2ad21354
parenta75e82813ea9ad7d716f81ce790b4b1b3a4ba4b7 (diff)
downloadlynx-snapshots-c9bdba611e96b13357f06443549a8c85488f0363.tar.gz
snapshot of project "lynx", label v2-8-8dev_4
-rw-r--r--CHANGES4
-rw-r--r--PACKAGE/version.iss2
-rwxr-xr-xconfigure2
-rw-r--r--configure.in6
-rw-r--r--lynx.cfg6
-rwxr-xr-xmkdirs.sh51
-rw-r--r--userdefs.h6
7 files changed, 64 insertions, 13 deletions
diff --git a/CHANGES b/CHANGES
index c6b66715..98be538f 100644
--- a/CHANGES
+++ b/CHANGES
@@ -1,9 +1,9 @@
--- $LynxId: CHANGES,v 1.491 2010/06/21 08:36:29 tom Exp $
+-- $LynxId: CHANGES,v 1.492 2010/06/21 10:50:46 tom Exp $
 ===============================================================================
 Changes since Lynx 2.8 release
 ===============================================================================
 
-2010-06-20 (2.8.8dev.4)
+2010-06-21 (2.8.8dev.4)
 * check for SSL error when reading response from "GET".  This incidentally
   exposes a longstanding bug in GNUTLS:
     https://savannah.gnu.org/support/index.php?106987
diff --git a/PACKAGE/version.iss b/PACKAGE/version.iss
index 41dfc5ac..c78906e3 100644
--- a/PACKAGE/version.iss
+++ b/PACKAGE/version.iss
@@ -1,7 +1,7 @@
 ; version used for Inno Setup files.

 

 ; $Format: "#define LYNX_VERSION \"$ProjectVersion$\""$

-#define LYNX_VERSION "2.8.8dev.3"
+#define LYNX_VERSION "2.8.8dev.4"
 

 #define MyAppName "Lynx"

 #define MyAppPublisher "Thomas E Dickey"

diff --git a/configure b/configure
index a151dc17..7eaeb08d 100755
--- a/configure
+++ b/configure
@@ -1242,7 +1242,7 @@ fi;
 
 PACKAGE=lynx
 # $Format: "VERSION=$ProjectVersion$"$
-VERSION=2.8.8dev.3
+VERSION=2.8.8dev.4
 
 echo "$as_me:1247: checking for DESTDIR" >&5
 echo $ECHO_N "checking for DESTDIR... $ECHO_C" >&6
diff --git a/configure.in b/configure.in
index 0aa9ebb6..55bfb932 100644
--- a/configure.in
+++ b/configure.in
@@ -1,4 +1,4 @@
-dnl $LynxId: configure.in,v 1.215 2010/06/20 18:09:14 tom Exp $
+dnl $LynxId: configure.in,v 1.216 2010/06/21 10:50:46 tom Exp $
 dnl
 dnl Process this file with autoconf to produce a configure script.
 dnl
@@ -29,7 +29,7 @@ dnl ---------------------------------------------------------------------------
 dnl
 dnl ask PRCS to plug-in the project-version for the configure-script.
 dnl $Format: "AC_REVISION($ProjectVersion$)"$
-AC_REVISION(2.8.8dev.3)
+AC_REVISION(2.8.8dev.4)
 
 # Save the original $CFLAGS so we can distinguish whether the user set those
 # in the environment, or whether autoconf added -O and -g options:
@@ -62,7 +62,7 @@ AC_ARG_WITH(system-type,
 PACKAGE=lynx
 dnl ask PRCS to plug-in the project-version for the packages.
 # $Format: "VERSION=$ProjectVersion$"$
-VERSION=2.8.8dev.3
+VERSION=2.8.8dev.4
 
 AC_SUBST(PACKAGE)
 AC_SUBST(VERSION)
diff --git a/lynx.cfg b/lynx.cfg
index 6842a31d..bcaf50de 100644
--- a/lynx.cfg
+++ b/lynx.cfg
@@ -1,13 +1,13 @@
-# $LynxId: lynx.cfg,v 1.193 2010/06/20 15:56:13 tom Exp $
+# $LynxId: lynx.cfg,v 1.194 2010/06/21 10:50:46 tom Exp $
 # lynx.cfg file.
 # The default placement for this file is /usr/local/lib/lynx.cfg (Unix)
 #                                     or Lynx_Dir:lynx.cfg (VMS)
 #
 # $Format: "#PRCS LYNX_VERSION \"$ProjectVersion$\""$
-#PRCS LYNX_VERSION "2.8.8dev.3"
+#PRCS LYNX_VERSION "2.8.8dev.4"
 #
 # $Format: "#PRCS LYNX_DATE \"$ProjectDate$\""$
-#PRCS LYNX_DATE "Sun, 25 Apr 2010 16:44:30 -0700"
+#PRCS LYNX_DATE "Mon, 21 Jun 2010 02:44:55 -0700"
 #
 # Definition pairs are of the form  VARIABLE:DEFINITION
 # NO spaces are allowed between the pair items.
diff --git a/mkdirs.sh b/mkdirs.sh
new file mode 100755
index 00000000..cd10280f
--- /dev/null
+++ b/mkdirs.sh
@@ -0,0 +1,51 @@
+#! /bin/sh
+# $Id: mkdirs.sh,v 1.6 2007/03/25 22:29:46 tom Exp $
+# -----------------------------------------------------------------------------
+# mkinstalldirs --- make directory hierarchy
+# Author: Noah Friedman <friedman@prep.ai.mit.edu>
+# Created: 1993-05-16
+# Last modified: 1994-03-25
+# Public domain
+# -----------------------------------------------------------------------------
+
+errstatus=0
+umask 022
+
+for file in ${1+"$@"} ; do
+   set fnord `echo ":$file" | sed -ne 's/^:\//#/;s/^://;s/\// /g;s/^#/\//;p'`
+   shift
+
+   pathcomp=
+   for d in ${1+"$@"} ; do
+     pathcomp="$pathcomp$d"
+     case "$pathcomp" in
+       -* ) pathcomp=./$pathcomp ;;
+     esac
+
+     if test ! -d "$pathcomp"; then
+        echo "mkdir $pathcomp" 1>&2
+        case "$pathcomp" in
+          [abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ]: )
+            ;;               # DOSISH systems
+          * )
+            mkdir "$pathcomp"
+            errstatus=$?
+            if test $errstatus != 0
+            then
+               # may have failed if invoked in a parallel "make -j# install"
+               if test -d "$pathcomp"
+               then
+                  errstatus=0
+               fi
+            fi
+            ;;
+        esac
+     fi
+
+     pathcomp="$pathcomp/"
+   done
+done
+
+exit $errstatus
+
+# mkinstalldirs ends here
diff --git a/userdefs.h b/userdefs.h
index c6ca537e..d7e49278 100644
--- a/userdefs.h
+++ b/userdefs.h
@@ -1,5 +1,5 @@
 /*
- * $LynxId: userdefs.h,v 1.256 2010/06/19 18:23:03 tom Exp $
+ * $LynxId: userdefs.h,v 1.257 2010/06/21 10:50:46 tom Exp $
  *
  * Lynx - Hypertext navigation system
  *
@@ -1432,11 +1432,11 @@
  * the version definition with the Project Version on checkout.  Just
  * ignore it. - kw */
 /* $Format: "#define LYNX_VERSION \"$ProjectVersion$\""$ */
-#define LYNX_VERSION "2.8.8dev.3"
+#define LYNX_VERSION "2.8.8dev.4"
 #define LYNX_WWW_HOME "http://lynx.isc.org/"
 #define LYNX_WWW_DIST "http://lynx.isc.org/current/"
 /* $Format: "#define LYNX_DATE \"$ProjectDate$\""$ */
-#define LYNX_DATE "Sun, 25 Apr 2010 16:44:30 -0700"
+#define LYNX_DATE "Mon, 21 Jun 2010 02:44:55 -0700"
 #define LYNX_DATE_OFF 5		/* truncate the automatically-generated date */
 #define LYNX_DATE_LEN 11	/* truncate the automatically-generated date */